summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
authorJun Li <matthew.lijun@huawei.com>2016-12-21 07:15:07 +0000
committerGerrit Code Review <gerrit@opnfv.org>2016-12-21 07:15:07 +0000
commit6cf5e8cf019b44cb54ee2de95a6acafe74c8c2b2 (patch)
tree0ef17d4239fc2c9ab5e40b4461a7d45842ecf4cf /jjb
parent82b204b01ab8c8ccc8a692e3f8f859aec0420b9f (diff)
parent5f9863e7648f90d2f951c6bdf68d57b2cc93228c (diff)
Merge "dovetail: gsutil progress amend"
Diffstat (limited to 'jjb')
-rwxr-xr-xjjb/dovetail/dovetail-artifacts-upload.sh54
1 files changed, 51 insertions, 3 deletions
diff --git a/jjb/dovetail/dovetail-artifacts-upload.sh b/jjb/dovetail/dovetail-artifacts-upload.sh
index 5ec6b375d..94e4129fc 100755
--- a/jjb/dovetail/dovetail-artifacts-upload.sh
+++ b/jjb/dovetail/dovetail-artifacts-upload.sh
@@ -17,7 +17,55 @@ cd ${CACHE_DIR}
sudo docker pull ${DOCKER_REPO_NAME}:${DOCKER_TAG}
sudo docker save -o ${STORE_FILE_NAME} ${DOCKER_REPO_NAME}:${DOCKER_TAG}
-echo "dovetail: upload image to artifacts.opnfv.org, which can be for offline usage"
-gsutil cp ${CACHE_DIR}/${STORE_FILE_NAME} ${STORE_URL}
+importkey () {
+# clone releng repository
+echo "Cloning releng repository..."
+[ -d releng ] && rm -rf releng
+git clone https://gerrit.opnfv.org/gerrit/releng $WORKSPACE/releng/ &> /dev/null
+#this is where we import the siging key
+if [ -f $WORKSPACE/releng/utils/gpg_import_key.sh ]; then
+ source $WORKSPACE/releng/utils/gpg_import_key.sh
+fi
+}
-echo "dovetail: uploading done"
+sign () {
+gpg2 -vvv --batch --yes --no-tty \
+ --default-key opnfv-helpdesk@rt.linuxfoundation.org \
+ --passphrase besteffort \
+ --detach-sig ${CACHE_DIR}/${STORE_FILE_NAME}
+
+gsutil cp ${CACHE_DIR}/${STORE_FILE_NAME}.sig ${STORE_URL}/${STORE_FILE_NAME}.sig
+echo "signature Upload Complete!"
+}
+
+upload () {
+# log info to console
+echo "Uploading to artifact. This could take some time..."
+echo
+
+cd $WORKSPACE
+# upload artifact and additional files to google storage
+gsutil cp ${CACHE_DIR}/${STORE_FILE_NAME} ${STORE_URL}/${STORE_FILE_NAME}
+
+gsutil -m setmeta \
+ -h "Cache-Control:private, max-age=0, no-transform" \
+ ${STORE_URL}/${STORE_FILE_NAME} > /dev/null 2>&1
+
+# disabled errexit due to gsutil setmeta complaints
+# BadRequestException: 400 Invalid argument
+# check if we uploaded the file successfully to see if things are fine
+gsutil ls ${STORE_URL}/${STORE_FILE_NAME} > /dev/null 2>&1
+if [[ $? -ne 0 ]]; then
+ echo "Problem while uploading artifact!"
+ exit 1
+fi
+
+echo "dovetail: uploading Done!"
+echo
+echo "--------------------------------------------------------"
+echo
+}
+
+importkey
+sign
+upload